Bug 1129548 - nfs: E [rpc-transport.c:481:rpc_transport_unref]
Summary: nfs: E [rpc-transport.c:481:rpc_transport_unref]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-nfs
Version: rhgs-3.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Niels de Vos
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 07:23 UTC by Saurabh
Modified: 2018-04-16 18:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Saurabh 2014-08-13 07:23:13 UTC
Description of problem:

while exeucting cthon lock test

[2014-08-13 07:10:17.889035] E [rpc-transport.c:481:rpc_transport_unref] (-->/usr/lib64/glusterfs/3.6.0.27/xlator/nfs/server.so(nlm_rpcclnt_notify+0x5a) [0x7effacc976ea] (-->/usr/lib64/glusterfs/3.6.0.27/xlator/nfs/server.so(nlm_unset_rpc_clnt+0x75) [0x7effacc931e5] (-->/usr/lib64/libgfrpc.so.0(rpc_clnt_unref+0x63) [0x7effb7c2e623]))) 0-rpc_transport: invalid argument: this
[2014-08-13 07:17:29.452401] W [socket.c:529:__socket_rwv] 0-NLM-client: readv on 10.70.37.7:54895 failed (No data available)

Version-Release number of selected component (if applicable):
glusterfs.x86_64 0:3.6.0.27-1.el6rhs

How reproducible:
many a times when the test is started.

Actual results:
getting the above mentioned error in the nfs.log, though the actual test is a Pass

Expected results:
No error msg is assumed to be reported at the start of the cthon lock test suite.

Additional info:

Comment 2 santosh pradhan 2014-08-20 10:54:19 UTC
Hi Saurabh,
As this is just about ERROR in log file and test case PASS without breaking any functionality, Can we reduce the severity of the issue?

Thanks,
Santosh

Comment 3 Saurabh 2014-08-20 11:08:47 UTC
yeah the test was a Pass, so on that basis we can reduce the severity


Note You need to log in before you can comment on or make changes to this bug.